<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/admin"></ion-back-button>
    </ion-buttons>
    <ion-title>create</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #form="ngForm" (ngSubmit)="onSubmit(form)">
    <ion-list>
      <ion-item>
        <ion-label position="floating">URL Foto(Seperate by coma)</ion-label>
        <ion-textarea type="text" ngModel name="foto" #fotoCtrl="ngModel" required></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Jenis</ion-label>
        <ion-select placeholder="Select Jenis" (ionChange)="handleChange($event.target.value)" ngModel name="jenis" #jenisCtrl="ngModel" required>
          <ion-select-option value="1">Prosessor</ion-select-option>
          <ion-select-option value="2">RAM</ion-select-option>
          <ion-select-option value="3">MotherBoard</ion-select-option>
          <ion-select-option value="4">GPU</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Nama</ion-label>
        <ion-input type="text" ngModel name="nama" required #namaCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Model</ion-label>
        <ion-input type="text" ngModel name="model" required #modelCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Harga</ion-label>
        <ion-input type="text" ngModel name="harga" required #hargaCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Stock</ion-label>
        <ion-input type="number" ngModel name="stock" required #stockCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label>Detail</ion-label>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Base Clock</ion-label>
        <ion-input type="text" ngModel name="base" required #baseCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Boost Clock</ion-label>
        <ion-input type="text" ngModel name="boost" required #boostCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Jumlah Core</ion-label>
        <ion-input type="text" ngModel name="core" required #coreCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '1';">
        <ion-label position="floating">Thread</ion-label>
        <ion-input type="text" ngModel name="thread" required #threadCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '2';">
        <ion-label position="floating">Speed</ion-label>
        <ion-input type="text" ngModel name="speed" required #speedCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '2';">
        <ion-label position="floating">Ukuran</ion-label>
        <ion-input type="text" ngModel name="ukuran" required #ukuranCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '3';">
        <ion-label position="floating">Chipset</ion-label>
        <ion-input type="text" ngModel name="chipset" required #chipsetCtrl="ngModel"></ion-input>
      </ion-item>
      <ion-item *ngIf="idJenis === '3';">
        <ion-label position="floating">Merk prosesor</ion-label>
        <ion-input type="text" ngModel name="prosesor" required #prosesorCtrl="ngModel"></ion-input>
      </ion-item>
    </ion-list>
    <ion-button color="primary" type="submit" expand="block" (click)='onSend()' [disabled]="!form.valid">Save</ion-button>
  </form>
</ion-content>
